"use strict";

var fileAliasResolver = require("./fileAliasResolver");
var path = require("path");

/**
 * Tries to resolve a dependency as a javascript file by appending .js to the filename.
 */
module.exports = fileAliasResolver(function (dep) {
	var newDep = Object.create(dep);
	newDep.to = dep.to + ".js";
	return newDep;
});